---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab ci delete`

Delete a CI/CD pipeline

```plaintext
glab ci delete <id> [flags]
```

## Examples

```plaintext
glab ci delete 34
glab ci delete 12,34,2
glab ci delete --status=failed

```

## Options

```plaintext
      --dry-run         simulate process, but do not delete anything
  -s, --status string   delete pipelines by status: {running|pending|success|failed|canceled|skipped|created|manual}
```

## Options inherited from parent commands

```plaintext
      --help              Show help for command
  -R, --repo OWNER/REPO   Select another repository using the OWNER/REPO or `GROUP/NAMESPACE/REPO` format or full URL or git URL
```
